<?php
/**
 * Class for altering the portfolio metabox form
 *
 *
 * @author jason.xie@victheme.com
 *
 */
class VTCore_Zeus_Actions_VTCore__Portfolio__Alter__Metabox__Form
extends VTCore_Wordpress_Models_Hook {

  public function hook($object = NULL) {

    foreach ($object->getChildrens() as $delta => $children) {

      // Remove the hover options as the theme doesn't supports them
      if ($children instanceof VTCore_Portfolio_Metabox_Hover) {
        $object->removeChildren($delta);
      }
    }

  }
}